org.eclipse.oomph.setup.impl

## Class SetupTaskImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.setup.impl.SetupTaskImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, SetupTask
  Direct Known Subclasses:
    APIBaselineTaskImpl, CompoundTaskImpl, EclipseIniTaskImpl, FileAssociationsTaskImpl, GitCloneTaskImpl, InstallationTaskImpl, JRETaskImpl, KeyBindingTaskImpl, LaunchTaskImpl, LinkLocationTaskImpl, MavenImportTaskImpl, MylynBuildsTaskImpl, MylynQueriesTaskImpl, P2TaskImpl, PathVariableTaskImpl, PreferenceTaskImpl, ProjectSetImportTaskImpl, ProjectsImportTaskImpl, RedirectionTaskImpl, ResourceCopyTaskImpl, ResourceCreationTaskImpl, StringSubstitutionTaskImpl, TargetPlatformTaskImpl, TargletTaskImpl, TextModifyTaskImpl, VariableTaskImpl, WorkingSetTaskImpl, WorkspaceTaskImpl

      public abstract class SetupTaskImpl
      extends ModelElementImpl
      implements SetupTask

  An implementation of the model object 'Task'.

  The following features are implemented:

  - `ID`
  - `Description`
  - `Scope Type`
  - `Excluded Triggers`
  - `Disabled`
  - `Predecessors`
  - `Successors`
  - `Restrictions`
  Generated

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static interface` | `SetupTaskImpl.RunnableWithContext`
    `protected static class` | `SetupTaskImpl.TypedStringToken`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `description` The cached value of the '`Description`' attribute.
    `protected static String` | `DESCRIPTION_EDEFAULT` The default value of the '`Description`' attribute.
    `protected boolean` | `disabled` The cached value of the '`Disabled`' attribute.
    `protected static boolean` | `DISABLED_EDEFAULT` The default value of the '`Disabled`' attribute.
    `protected Set<Trigger>` | `excludedTriggers` The cached value of the '`Excluded Triggers`' attribute.
    `protected String` | `iD` The cached value of the '`ID`' attribute.
    `protected static String` | `ID_EDEFAULT` The default value of the '`ID`' attribute.
    `protected EList<SetupTask>` | `predecessors` The cached value of the '`Predecessors`' reference list.
    `protected EList<Scope>` | `restrictions` The cached value of the '`Restrictions`' reference list.
    `protected static ScopeType` | `SCOPE_TYPE_EDEFAULT` The default value of the '`Scope Type`' attribute.
    `protected EList<SetupTask>` | `successors` The cached value of the '`Successors`' reference list.

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SetupTaskImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consolidate()`
    `protected URI` | `createResolvedURI(String uri)`
    `protected Object` | `createToken(String value)`
    `void` | `dispose()` Subclasses may override to reset this task to its initial state.
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `String` | `getDescription()`
    `Set<Trigger>` | `getExcludedTriggers()`
    `String` | `getID()`
    `Object` | `getOverrideToken()` Subclasses may override to indicate that this task overrides another task with the same token.
    `EList<SetupTask>` | `getPredecessors()`
    `int` | `getPriority()`
    `EList<Scope>` | `getRestrictions()`
    `Scope` | `getScope()`
    `ScopeType` | `getScopeType()`
    `EList<SetupTask>` | `getSuccessors()`
    `Set<Trigger>` | `getTriggers()`
    `Set<Trigger>` | `getValidTriggers()`
    `boolean` | `isDisabled()`
    `void` | `overrideFor(SetupTask overriddenSetupTask)`
    `protected void` | `performUI(SetupTaskContext context, SetupTaskImpl.RunnableWithContext runnable)`
    `boolean` | `requires(SetupTask setupTask)`
    `void` | `setDescription(String newDescription)`
    `void` | `setDisabled(boolean newDisabled)`
    `void` | `setExcludedTriggers(Set<Trigger> newExcludedTriggers)` Sets the value of the '`Excluded Triggers`' attribute.
    `void` | `setExcludedTriggersGen(Set<Trigger> newExcludedTriggers)`
    `void` | `setID(String newID)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, eInverseRemove, eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `isNeeded, perform`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### ID_EDEFAULT

          protected static final String ID_EDEFAULT

      The default value of the '`ID`' attribute.
      See Also:
        `getID()`
      Generated
      Ordered

    - #### iD

          protected String iD

      The cached value of the '`ID`' attribute.
      See Also:
        `getID()`
      Generated
      Ordered

    - #### DESCRIPTION_EDEFAULT

          protected static final String DESCRIPTION_EDEFAULT

      The default value of the '`Description`' attribute.
      See Also:
        `getDescription()`
      Generated
      Ordered

    - #### description

          protected String description

      The cached value of the '`Description`' attribute.
      See Also:
        `getDescription()`
      Generated
      Ordered

    - #### SCOPE_TYPE_EDEFAULT

          protected static final ScopeType SCOPE_TYPE_EDEFAULT

      The default value of the '`Scope Type`' attribute.
      See Also:
        `getScopeType()`
      Generated
      Ordered

    - #### excludedTriggers

          protected Set<Trigger> excludedTriggers

      The cached value of the '`Excluded Triggers`' attribute.
      See Also:
        `getExcludedTriggers()`
      Generated
      Ordered

    - #### DISABLED_EDEFAULT

          protected static final boolean DISABLED_EDEFAULT

      The default value of the '`Disabled`' attribute.
      See Also:
        `isDisabled()`, Constant Field Values
      Generated
      Ordered

    - #### disabled

          protected boolean disabled

      The cached value of the '`Disabled`' attribute.
      See Also:
        `isDisabled()`
      Generated
      Ordered

    - #### predecessors

          protected EList<SetupTask> predecessors

      The cached value of the '`Predecessors`' reference list.
      See Also:
        `getPredecessors()`
      Generated
      Ordered

    - #### successors

          protected EList<SetupTask> successors

      The cached value of the '`Successors`' reference list.
      See Also:
        `getSuccessors()`
      Generated
      Ordered

    - #### restrictions

          protected EList<Scope> restrictions

      The cached value of the '`Restrictions`' reference list.
      See Also:
        `getRestrictions()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### SetupTaskImpl

          protected SetupTaskImpl()

      Generated
        NOT

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `ModelElementImpl`
      Generated

    - #### getID

          public String getID()

      Specified by:
        `getID` in interface `SetupTask`
      Returns:
        the value of the 'ID' attribute.
      See Also:
        `SetupTask.setID(String)`, `SetupPackage.getSetupTask_ID()`
      Generated

    - #### setID

          public void setID(String newID)

      Specified by:
        `setID` in interface `SetupTask`
      Parameters:
        `newID` - the new value of the 'ID' attribute.
      See Also:
        `SetupTask.getID()`
      Generated

    - #### getPredecessors

          public EList<SetupTask> getPredecessors()

      Specified by:
        `getPredecessors` in interface `SetupTask`
      Returns:
        the value of the 'Predecessors' reference list.
      See Also:
        `SetupPackage.getSetupTask_Predecessors()`
      Generated

    - #### getSuccessors

          public EList<SetupTask> getSuccessors()

      Specified by:
        `getSuccessors` in interface `SetupTask`
      Returns:
        the value of the 'Successors' reference list.
      See Also:
        `SetupPackage.getSetupTask_Successors()`
      Generated

    - #### getRestrictions

          public EList<Scope> getRestrictions()

      Specified by:
        `getRestrictions` in interface `SetupTask`
      Returns:
        the value of the 'Restrictions' reference list.
      See Also:
        `SetupPackage.getSetupTask_Restrictions()`
      Generated

    - #### getScopeType

          public ScopeType getScopeType()

      Specified by:
        `getScopeType` in interface `SetupTask`
      Returns:
        the value of the 'Scope Type' attribute.
      See Also:
        `ScopeType`, `SetupPackage.getSetupTask_ScopeType()`
      Generated
        NOT

    - #### getExcludedTriggers

          public Set<Trigger> getExcludedTriggers()

      Specified by:
        `getExcludedTriggers` in interface `SetupTask`
      Returns:
        the value of the 'Excluded Triggers' attribute.
      See Also:
        `SetupTask.setExcludedTriggers(Set)`, `SetupPackage.getSetupTask_ExcludedTriggers()`
      Generated
        NOT

    - #### setExcludedTriggersGen

          public void setExcludedTriggersGen(Set<Trigger> newExcludedTriggers)

      Generated

    - #### setExcludedTriggers

          public void setExcludedTriggers(Set<Trigger> newExcludedTriggers)

      Description copied from interface: `SetupTask`
      Sets the value of the '`Excluded Triggers`' attribute.
      Specified by:
        `setExcludedTriggers` in interface `SetupTask`
      Parameters:
        `newExcludedTriggers` - the new value of the 'Excluded Triggers' attribute.
      See Also:
        `SetupTask.getExcludedTriggers()`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `SetupTask`
      Returns:
        the value of the 'Description' attribute.
      See Also:
        `SetupTask.setDescription(String)`, `SetupPackage.getSetupTask_Description()`
      Generated

    - #### setDescription

          public void setDescription(String newDescription)

      Specified by:
        `setDescription` in interface `SetupTask`
      Parameters:
        `newDescription` - the new value of the 'Description' attribute.
      See Also:
        `SetupTask.getDescription()`
      Generated

    - #### getScope

          public Scope getScope()

      Specified by:
        `getScope` in interface `SetupTask`
      Generated
        NOT

    - #### isDisabled

          public boolean isDisabled()

      Specified by:
        `isDisabled` in interface `SetupTask`
      Returns:
        the value of the 'Disabled' attribute.
      See Also:
        `SetupTask.setDisabled(boolean)`, `SetupPackage.getSetupTask_Disabled()`
      Generated

    - #### setDisabled

          public void setDisabled(boolean newDisabled)

      Specified by:
        `setDisabled` in interface `SetupTask`
      Parameters:
        `newDisabled` - the new value of the 'Disabled' attribute.
      See Also:
        `SetupTask.isDisabled()`
      Generated

    - #### requires

          public boolean requires(SetupTask setupTask)

      Specified by:
        `requires` in interface `SetupTask`
      Generated
        NOT

    - #### getValidTriggers

          public final Set<Trigger> getValidTriggers()

      Specified by:
        `getValidTriggers` in interface `SetupTask`
      Generated
        NOT

    - #### getPriority

          public int getPriority()

      Specified by:
        `getPriority` in interface `SetupTask`

    - #### getTriggers

          public final Set<Trigger> getTriggers()

      Specified by:
        `getTriggers` in interface `SetupTask`
      Generated
        NOT

    - #### createToken

          protected final Object createToken(String value)

    - #### getOverrideToken

          public Object getOverrideToken()

      Subclasses may override to indicate that this task overrides another task with the same token.
      Specified by:
        `getOverrideToken` in interface `SetupTask`
      See Also:
        `createToken(String)`

    - #### overrideFor

          public void overrideFor(SetupTask overriddenSetupTask)

      Specified by:
        `overrideFor` in interface `SetupTask`

    - #### consolidate

          public void consolidate()

      Specified by:
        `consolidate` in interface `SetupTask`

    - #### dispose

          public void dispose()

      Subclasses may override to reset this task to its initial state.
      Specified by:
        `dispose` in interface `SetupTask`

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `ModelElementImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `ModelElementImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `ModelElementImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `ModelElementImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BasicEObjectImpl`
      Generated

    - #### createResolvedURI

          protected URI createResolvedURI(String uri)

    - #### performUI

          protected final void performUI(SetupTaskContext context,
                       SetupTaskImpl.RunnableWithContext runnable)
                                  throws Exception

      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html